/* section Home */
:root{
  --bar--empty--color: #3F3F46;
  --bar--fill--color: #3475EF;
}

.visual-box{
  display: flex;

  /* height: auto; */
}


.visual-box--right-box,
.visual-box--left-box{
  padding: 40px;
}

.visual-box--left-box{
  background-image: url(../src/road.jpg);
  background-size: cover;
  background-position: center;

  width: 33%;
}

/* h3 */
.visual-box--left-box h3{
  background-color: black;
  padding: 20px;

  text-align: center;
  font-size: 32px;
}

/* p? */
.visual-box--left-box :nth-child(2){
  margin-top: 185%;
  
  font-size: 32px;

  letter-spacing: -1px;
}

/* p! */
.visual-box--left-box :nth-child(3){
  margin-top: 40px;

  color: #c7cdd3;
  background-color: rgba(0, 0, 0, 0.514);
  padding: 10px 5px;

  font-size: 13.5px;
}

.visual-box--left-box :nth-child(2),
.visual-box--left-box :nth-child(3){
  text-shadow: -3px -3px 2px rgb(32, 32, 32);
  text-align: center;
  font-weight: bold;
}

/* ////////// */
/* right box */
.visual-box--right-box{
  text-align: right;

  /* left-box 33%*/
  width: 67%;

  /* for skill box */
  position: relative;
}

.visual-box--right-box h1{
  font-size: 30px;
  font-weight: bold;
}

/* for auto typing text */
.right-box--header-box{
  position: relative;
}

.right-box--skill-box{
  margin-top: 80px;

  position: absolute;
  left: 0;
  right: 0;

  background-image: linear-gradient(
    45deg,
    var(--main--body--color),
    var(--main--body--color--shade) 
  );
}

.skill-box{
  padding: 25px 40px;
  text-align: left;
}

.skill-box-1{
  border-bottom: 1px solid rgb(90, 90, 90);
}

.skill-box h4{
  text-align: right;

  border-right: 3px solid;

  border-image: -webkit-gradient(
    linear, 
    left bottom,
    right top,
    from(var(--selected--main--color)),
    to( var(--selected--main--color--shade))) 0 100% 0 0 stretch;

    padding-right: 10px;
    margin-bottom: 16px;
}


/* ul */
.skill-items{
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  row-gap: 10px;

}

.skill-items li {
  display: flex;
  align-items: center;
  gap: 6px;

  width: 100%;

  font-size: 15px;
}

.skill-icon{
  width: 30px;
  height: 30px;

}

.skill-bars-box{
  display: flex;
  gap: 1px;
}

.skill-bars-box div{
  width: 12px;
  height: 12px;
  background-color: var(--bar--empty--color);
}

.fill-bar{
  background-color: var(--bar--fill--color) !important;
}

.skill-bars-box div:first-child{
  margin-left: 30px;
}


/* //////////////////////////////////// */
/* /////////////////////////////////// */
.personal-details-box{
  margin-top: 500px;

  /* for span */
  position: relative;
}

/* texts */
.personal-details-box span{
  position: absolute;
  right: 0;
  margin-top: 12px;

  font-size: 20px;
  color: var(--main--gray--color);

  font-weight: bold;
}

.personal-details-box span:first-child{
  margin-top: 0px;
}

.personal-details-box h3{
  margin: 15px 0;
  margin-right: 28px;
}

.personal-details-box p{
  color: var(--main--text--gray--color);
}
/* ////// */



/* ///////////////////////////////// */
/* ///////////////////////////////// */
.text-box{
  display: flex;
  justify-content: end;
  gap: 80px;

  padding: 80px  40px;

  background-color: white;
  height: 600px;

  text-align: right;
}

.summary-box{
  width: 50%;
}

.summary-box h2{
  font-size: 36px;
  padding-bottom: 15px;

  color: #111827;
  margin-bottom: 40px;

  border-bottom: 4px solid transparent;
  border-image: var(--main--background--gradient);

  border-image-slice: 1;
  width:100%;
}

.company-box{
  display: flex;
  justify-content: space-between;
}

.job-item{
  padding-bottom: 15px;
  margin-bottom: 30px;
  border-bottom: 1px solid rgba(88, 88, 88, 0.712);
}

.job-item:last-child{
  margin-bottom: 0;
}

.job-item h3{
  color: #111827;

  font-weight: 100;
}

.job-item span{
  color: #9CA1A9;
  
  font-size: 11px;
  letter-spacing: 2.5px;
}

.job-item h4{
  color: #374178;

  font-weight: lighter;
  font-size: 13px;
}